import {
  makeVar,
  useLocalStorageReactiveVar,
} from '@inject/graphql/client/reactive'

const KEY = 'notificationLimit'
const limitReactiveVar = makeVar<number>(10)

const useNotificationLimit = () =>
  useLocalStorageReactiveVar(limitReactiveVar, KEY)

export default useNotificationLimit
