import { Callout } from '@blueprintjs/core'

const GitVersion = () => (
  <Callout intent='none'>
    {import.meta.env.VITE_GIT_COMMIT_HASH && (
      <p>Commit: {import.meta.env.VITE_GIT_COMMIT_HASH}</p>
    )}
    {import.meta.env.VITE_GIT_BRANCH_NAME && (
      <p>Branch: {import.meta.env.VITE_GIT_BRANCH_NAME}</p>
    )}
    {import.meta.env.VITE_GIT_LAST_COMMIT_MESSAGE && (
      <p>Last commit message: {import.meta.env.VITE_GIT_LAST_COMMIT_MESSAGE}</p>
    )}
    {import.meta.env.VITE_BUILD_NUMBER && (
      <p>
        Frontend Build: <code>{import.meta.env.VITE_BUILD_NUMBER}</code>
      </p>
    )}
  </Callout>
)

export default GitVersion
