import EditorPage from '@/editor/EditorPage'
import LearningActivitiesOverview from '@/editor/LearningActivitiesOverview'
import { memo } from 'react'

const ActivitiesSpecificationPage = () => (
  <EditorPage
    title='Define activities'
    description='Description.'
    prevPath='/editor/create/injects'
    nextPath='/editor'
    nextDisabled
  >
    <LearningActivitiesOverview />
  </EditorPage>
)

export default memo(ActivitiesSpecificationPage)
