import { css } from '@emotion/css'

export const maximizedDialog = css`
  margin: 0;
  width: 90vw;
  max-width: clamp(20rem, 90vw, 60rem);
  height: 90vh;
  max-height: clamp(20rem, 90vh, 60rem);
`

export const dialogBody = css`
  max-height: unset;
`

export const dialog = css`
  margin: 0;
  max-width: clamp(20rem, 90vw, 60rem);
  max-height: clamp(20rem, 90vh, 60rem);
`
